%define upstream_name    Text-Levenshtein-Damerau
%define upstream_version 0.41

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Pure Perl Damerau Levenshtein edit distance
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Returns the true Damerau Levenshtein edit distance of strings with adjacent
transpositions. Useful for fuzzy matching, DNA variation metrics, and fraud
detection.

Defaults to using Pure Perl Text::Levenshtein::Damerau::PP, but
has an XS addon Text::Levenshtein::Damerau::XS for massive
speed improvements. Works correctly with utf8 if backend supports it; known
to work with 'Text::Levenshtein::Damerau::PP' and
'Text::Levenshtein::Damerau::XS'.

	use utf8;
	my $tld = Text::Levenshtein::Damerau->new('ⓕⓞⓤⓡ');
	print $tld->dld('ⓕⓤⓞⓡ');
	# prints 1

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE META.json README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.410.0-5.mga9
+ Revision: 1806373
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.410.0-4.mga8
+ Revision: 1497681
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.410.0-3.mga7
+ Revision: 1272049
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.410.0-2.mga6
+ Revision: 1034945
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.410.0-1.mga6
+ Revision: 1007452
- imported package perl-Text-Levenshtein-Damerau


* Thu Apr 28 2016 cpan2dist 0.41-1mga
- initial mageia release, generated with cpan2dist
